from django.urls import include, path
from rest_framework.routers import DefaultRouter

from .views import FreePracticeSessionViewSet, PRSSessionViewSet, SpeedShootingSessionViewSet

router = DefaultRouter()
router.register(r'sessions/prs',           PRSSessionViewSet,           basename='prs-session')
router.register(r'sessions/free-practice', FreePracticeSessionViewSet,  basename='free-practice-session')
router.register(r'sessions/speed-shooting', SpeedShootingSessionViewSet, basename='speed-shooting-session')

urlpatterns = [
    path('', include(router.urls)),
]
